%define upstream_name    PDF
%define upstream_version 111

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    PDF access and manipulation in Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tgz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
The main purpose of the PDF library is to provide classes and functions
that allow to read and manipulate PDF files with perl. PDF stands for
Portable Document Format and is a format proposed by Adobe. A full
description of this format can be found in the *Portable Document Reference
Manual* by Adobe Systems Inc..

%prep
%setup -q -n %{upstream_name}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 111.0.0-7.mga6
+ Revision: 1031945
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 111.0.0-6.mga6
+ Revision: 932248
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 111.0.0-5.mga5
+ Revision: 740588
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 111.0.0-4.mga5
+ Revision: 685800
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 111.0.0-3.mga4
+ Revision: 513769
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 111.0.0-2.mga3
+ Revision: 371186
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 26 2011 kharec <kharec> 111.0.0-1.mga2
+ Revision: 172408
- imported package perl-PDF

